#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 5
%define orig_name qca

Summary:        Qt5 Cryptographic Architecture
Name:           qca-qt5
Version:        2.3.1
Release:        %mkrel %rel
License:        LGPLv2+
Group:          System/Base
URL:            https://userbase.kde.org/QCA
Source0:        https://download.kde.org/stable/qca/%{version}/%{orig_name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  doxygen

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)

BuildRequires:  pkgconfig(botan-2)
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  pkgconfig(libpkcs11-helper-1)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(openssl)

%description
Qt5 Cryptographic Architecture.

%files
%_bindir/mozcerts-qt5
%_bindir/qcatool-qt5
%_libdir/qca-qt5/
%_mandir/man1/qcatool-qt5.1.*

#--------------------------------------------------------------------

%define qcaqt5_major 2
%define libqcaqt5 %mklibname qca-qt5_ %{qcaqt5_major}

%package -n %libqcaqt5
Summary:        Qt5 Cryptographic Architecture
Group:          System/Libraries

%description -n %libqcaqt5
Qt5 Cryptographic Architecture.

%files -n %libqcaqt5
%_libdir/libqca-qt5.so.%{qcaqt5_major}{,.*}

#--------------------------------------------------------------------

%define qcaqt5_devel %mklibname qca-qt5 -d

%package -n %qcaqt5_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libqcaqt5 = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %qcaqt5_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %qcaqt5_devel
%_includedir/Qca-qt5/
%_libdir/libqca-qt5.so
%_libdir/cmake/Qca-qt5/
%_libdir/pkgconfig/qca2-qt5.pc
%_qt5_archdatadir/mkspecs/features/crypto.prf

#--------------------------------------------------------------------

%prep
%setup -q -n %orig_name-%version
%autopatch -p1

%build
%cmake_qt5 -DQCA_FEATURE_INSTALL_DIR:PATH=%{_qt5_archdatadir}/mkspecs/features
%cmake_build

%install
%cmake_install

%check
pushd build
env LD_LIBRARY_PATH=$PWD/lib make test ||
popd


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2.3.1-5.mga8
+ Revision: 1659446
- Rebuild for new Qt5

* Sun Nov 08 2020 kekepower <kekepower> 2.3.1-4.mga8
+ Revision: 1643693
- Rebuild for Botan2, major 17

* Thu Oct 22 2020 daviddavid <daviddavid> 2.3.1-3.mga8
+ Revision: 1638596
- rebuild for new botan2 2.16.0

* Fri Jul 17 2020 daviddavid <daviddavid> 2.3.1-2.mga8
+ Revision: 1606726
- rebuild for new botan2 2.15.0

* Wed Jul 08 2020 daviddavid <daviddavid> 2.3.1-1.mga8
+ Revision: 1602901
- new version: 2.3.1

* Tue Feb 25 2020 daviddavid <daviddavid> 2.3.0-1.mga8
+ Revision: 1550267
- new version: 2.3.0

* Wed Feb 19 2020 umeabot <umeabot> 2.2.1-7.mga8
+ Revision: 1543001
- Mageia 8 Mass Rebuild

* Wed Jan 08 2020 daviddavid <daviddavid> 2.2.1-6.mga8
+ Revision: 1477283
- rebuild for new botan2 2.13.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 20 2019 daviddavid <daviddavid> 2.2.1-5.mga8
+ Revision: 1469048
- rebuild for new Qt5 headers path and new mkspecs macros

* Thu Dec 05 2019 daviddavid <daviddavid> 2.2.1-4.mga8
+ Revision: 1464658
- rebuild for new botan 2.12.1

* Mon Jul 15 2019 daviddavid <daviddavid> 2.2.1-3.mga8
+ Revision: 1421548
- rebuild for new botan2 2.11.0

* Mon Jul 01 2019 daviddavid <daviddavid> 2.2.1-2.mga8
+ Revision: 1416902
- rebuild for new botan2 2.10.0

* Fri Apr 26 2019 daviddavid <daviddavid> 2.2.1-1.mga7
+ Revision: 1395566
- new version: 2.2.1

* Thu Apr 11 2019 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1388329
- new version: 2.2.0
- enable botan and pkcs11 support

* Mon Apr 01 2019 umeabot <umeabot> 2.1.3-4.mga7
+ Revision: 1384148
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.3-3.mga7
+ Revision: 1300637
- Mageia 7 Mass Rebuild

* Wed Sep 13 2017 cjw <cjw> 2.1.3-2.mga7
+ Revision: 1153586
- disable botan for now since it does not build with openssl 1.1
- patch1: fix build with openssl 1.1
- run tests
+ daviddavid <daviddavid>
- fix license

* Sun Aug 27 2017 daviddavid <daviddavid> 2.1.3-1.mga7
+ Revision: 1148318
- new version: 2.1.3
- update URL and Source URL
- build against compat-openssl 1.0
- enable qca-botan, qca-cyrus-sasl and qca-nss plugins

* Thu Mar 03 2016 umeabot <umeabot> 2.1.1-3.mga6
+ Revision: 983964
- Rebuild for openssl

* Tue Feb 16 2016 umeabot <umeabot> 2.1.1-2.mga6
+ Revision: 962475
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 neoclust <neoclust> 2.1.1-1.mga6
+ Revision: 899835
- New version 2.1.1

* Sun Nov 08 2015 daviddavid <daviddavid> 2.1.0.3-2.mga6
+ Revision: 899251
- remove empty lang files to fix build with latest rpm

* Sun Jul 19 2015 neoclust <neoclust> 2.1.0.3-1.mga6
+ Revision: 855255
- imported package qca-qt5

